#include <stdio.h>

int main() {
    while (1) {
        int M, N;
        scanf("%d %d", &M, &N);

        if (M == 0 && N == 0) {
            break;
        }

        int estoque[M][N];
        for (int i = 0; i < M; ++i) {
            for (int j = 0; j < N; ++j) {
                scanf("%d", &estoque[i][j]);
            }
        }

        int P;
        scanf("%d", &P);

        int vendas = 0;

        for (int k = 0; k < P; ++k) {
            int I, J;
            scanf("%d %d", &I, &J);

            if (estoque[I - 1][J - 1] > 0) {
                vendas++;
                estoque[I - 1][J - 1]--;
            }
        }

        printf("%d\n", vendas);
    }

    return 0;
}